Update release
curl --request PUT \
--url https://acme.us1.gorules.io/api/projects/{projectId}/releases/{releaseId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"tags": []
}
'import requests
url = "https://acme.us1.gorules.io/api/projects/{projectId}/releases/{releaseId}"
payload = {
"name": "<string>",
"description": "<string>",
"tags": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', tags: []})
};
fetch('https://acme.us1.gorules.io/api/projects/{projectId}/releases/{releaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deletedAt": "<string>",
"name": "<string>",
"description": "<string>",
"version": 123,
"semanticVersion": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {
"bucket": "<string>",
"key": "<string>"
}
}Release
Update release
Update the name, description, or tags of an existing release.
PUT
/
api
/
projects
/
{projectId}
/
releases
/
{releaseId}
Update release
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Project unique identifier
Release unique identifier
Body
application/json
Response
200 - application/json
Updated release information
Updated release information
Release unique identifier
Release creation timestamp
Project ID the release belongs to
Release deletion timestamp
Release name
Release description
Legacy numeric version
Semantic version (e.g., 1.0.0)
Release status
Available options:
draft, published, completed ID of the user who created the release
Associated commit ID
Release storage metadata
Show child attributes
Show child attributes
Was this page helpful?
⌘I